From 75967f957f30409a73887ca1fc3e7717f20fd34e Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 5 Dec 2011 08:50:18 -0600
Subject: Adding Admin option for grade cat total override

---
 admin/settings/grades.php |    3 +++
 lang/en/grades.php        |    4 ++++
 2 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/admin/settings/grades.php b/admin/settings/grades.php
index 0d42537..09818ec 100644
--- a/admin/settings/grades.php
+++ b/admin/settings/grades.php
@@ -94,6 +94,9 @@ if (has_capability('moodle/grade:manage', $systemcontext)
 
         $options = array(0 => get_string('no'), 1 => get_string('yes'));
 
+        $temp->add(new admin_setting_configcheckbox('grade_overridecat', get_string('overridecat', 'grades'),
+            get_string('overridecat_help', 'grades'), 1));
+
         $defaults = array('value'=>1, 'forced'=>false, 'adv'=>true);
         $temp->add(new admin_setting_gradecat_combo('grade_aggregateonlygraded', get_string('aggregateonlygraded', 'grades'),
                     get_string('aggregateonlygraded_help', 'grades'), $defaults, $options));
diff --git a/lang/en/grades.php b/lang/en/grades.php
index b583eff..b52e786 100644
--- a/lang/en/grades.php
+++ b/lang/en/grades.php
@@ -459,6 +459,10 @@ $string['outcomesstandardavailable'] = 'Available standard outcomes';
 $string['outcomestandard'] = 'Standard outcome';
 $string['outcomestandard_help'] = 'A standard outcome is available site-wide, for all courses.';
 $string['overallaverage'] = 'Overall average';
+$string['overridecat'] = 'Allow Grade Override';
+$string['overridecat_help'] = 'This option allows users to override the final
+grade in for category totals. Unchecking this option will make category totals
+uneditable.';
 $string['overridden'] = 'Overridden';
 $string['overridden_help'] = 'If ticked, the grade can no longer be changed from within the related activity.
 
-- 
1.7.1


